aboutsummaryrefslogtreecommitdiff
path: root/recipes/glibc/glibc_2.2.5.bb
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/glibc/glibc_2.2.5.bb')
-rw-r--r--recipes/glibc/glibc_2.2.5.bb11
1 files changed, 5 insertions, 6 deletions
diff --git a/recipes/glibc/glibc_2.2.5.bb b/recipes/glibc/glibc_2.2.5.bb
index 8622950..aa8d003 100644
--- a/recipes/glibc/glibc_2.2.5.bb
+++ b/recipes/glibc/glibc_2.2.5.bb
@@ -131,12 +131,11 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
- exit 1
- fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
- CPPFLAGS="" oe_runconf
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
+ exit 1
+ fi
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \